Update databox file classifications
curl --request PUT \
--url https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/databox \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"group": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assetId": "<string>",
"deleted": false
}
]
'import requests
url = "https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/databox"
payload = [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"group": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assetId": "<string>",
"deleted": False
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
group: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
assetId: '<string>',
deleted: false
}
])
};
fetch('https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/databox', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applied": false,
"blobs": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"uploaded": false,
"vehicle": {
"asset": {
"id": "AT*ABC*V1000000",
"assetProviderCountryCode": "AT",
"assetProviderCode": "ABC",
"blobUuid": "a79abfff-bcdb-4bd1-b999-af29fe3d9056",
"defaultImage": "https://some.storage.website/image.png",
"active": true
},
"information": {
"vin": "0F0EAATTRBPC3CDBB",
"vendor": "BMW",
"model": "Zoe",
"variant": "Long Range",
"licensePlate": "W-53A",
"seats": 5,
"firstRegistrationDate": "2023-08-17",
"buildYear": 2023,
"evBatteryCapacity": 10.4,
"iceTankCapacity": 10.4,
"trackGeolocation": true
},
"status": {
"lastUpdated": "2023-08-17T18:19:22.874Z",
"location": {
"lat": 123,
"lng": 123
},
"isCharging": true,
"isLocked": true,
"windowsClosed": true,
"doorsClosed": true,
"engineActive": true,
"odometer": 123,
"reach": 123,
"fuelLevel": 123,
"headlightsActive": true,
"immobilizerActive": true,
"tirePressureFrontLeft": 123,
"tirePressureFrontRight": 123,
"tirePressureRearLeft": 123,
"tirePressureRearRight": 123,
"nextServiceDate": "2023-08-17",
"nextServiceDistance": 123,
"isPluggedIn": true
}
},
"group": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deleted": false
}
]
}Databox
Update databox file classifications
Update databox files and their classifications manually for the specified asset provider
PUT
/
api
/
fleets
/
v1
/
{assetProviderCountryCode}
/
{assetProviderCode}
/
databox
Update databox file classifications
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The two-letter country code of the asset provider
Required string length:
2The three-character code of the asset provider the databox belongs to
Required string length:
3Body
application/json
Information about the databox BLOBs to update
The UUID of the BLOB
Available options:
MAINTENANCE, INSPECTION, OFFENSE, DAMAGE, TIRE_INVOICE, ENERGY_FUEL_INVOICE, EXCESS_MILEAGE_INVOICE, PARKING_INVOICE, INSURANCE_INVOICE, REGISTRATION_INVOICE, ADMINISTRATION_INVOICE, CARBON_FOOTPRINT_INVOICE Group identifier for related BLOBs
Whether the BLOB was marked for deletion
⌘I

